Subject: Re: jed update & ksh attempt
From: [email-masked] (Chris Faylor)

12 Jun 1997 09:17:01 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>,
Gilligan  <[email-masked]> wrote:
>I just picked up the pdksh sources, and sure enough the thing compiled
>right out of the box.  The only problem was running it, is it seems to
>crash after running one command.  It never returns to the command line. 
>Has anyone already looked into ksh and getting it working?

I tried compiling zsh a while ago and found that there were problems
with the way SIGCHLD is handled.  zsh starts a command and then waits
in a 'sigsuspend' for a SIGCHLD -- which never shows up.  I imagine that
pdksh is doing something similar.

I'm still sort of stumped as to how to go about debugging the cygwin.dll,
so it is difficult to see what is going wrong.  Probably there is a problem
with the way signals are being queued.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".